/*====================ÉCOLE POLYTECHNIQUE DE MONTRÉAL============================

	NOM DU FICHIER :CBande.h

	DESCRIPTION :	Déclaration des fonctions de l'objet Bande

	AUTEUR : Martin Bisson, Anne-Marie Buki, Mylene Denis & Jean-Francois Pérusse

	DATE DE CRÉATION : 2004-3-16

	MISES À JOUR :

===============================================================================*/

#ifndef CBANDE_H
#define CBANDE_H

#include "CObjet.h"
#include "CPngTexture.h"

#define BANDE_HEIGHT (0.1f/TAILLE_TUILE)

class CBande : public CObjet {
private:
  float width, height;
    static CPngTexture TextureBande;

    int angle() const { return 45 * (Type - JEUOBJET_BANDE_N); }
    
 public:
    //Constructeur par parametres
    CBande(const CVector3f& posi, type_jeuobjet Type,
	    float w = 0.10f, float h = 0.50f);
    
    virtual void AfficheGL() const;
    virtual bool isCollision(CBalle *balle) const;
    virtual void UpdateAnimations() const {};
    static bool ChargeTextures();
    static bool DechargeTextures();
};
#endif //CBANDE_H
